Create a secondary zone
Creates a new secondary zone with default NS and SOA records. Note that Cloud DNS relies on the following Anycast addresses for sending DNS notify messages. Make sure to whitelist on your end:
IPv4: 212.227.123.25
IPv6: 2001:8d8:fe:53::5cd:25
Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.
Successful operation.
The zone ID (UUID).
e74d0d15-f567-4b7b-9069-26ee1f93bae3<RESOURCE-URI>Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Conflict Error
This zone cannot be created because a zone with the same name already exists.
Unprocessable Entity
The request was well-formed but was unable to be followed due to semantic errors.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
POST /secondaryzones HTTP/1.1
Host: dns.de-fra.ionos.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 132
{
"properties": {
"zoneName": "example.com",
"description": "The hosted zone is used for example.com",
"primaryIps": [
"1.2.3.4",
"5.6.7.8"
]
}
}{
"id": "e74d0d15-f567-4b7b-9069-26ee1f93bae3",
"type": "zone",
"href": "<RESOURCE-URI>",
"metadata": {
"lastModifiedDate": "2022-08-21T15:52:53Z",
"createdDate": "2022-08-21T15:52:53Z",
"state": "PROVISIONING",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"nameservers": [
"nscs.ui-dns.com",
"nscs.ui-dns.de",
"nscs.ui-dns.org",
"nscs.ui-dns.biz"
]
},
"properties": {
"zoneName": "example.com",
"description": "The hosted zone is used for example.com",
"primaryIps": [
"1.2.3.4",
"5.6.7.8"
]
}
}Last updated
Was this helpful?